This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 138878 - default /etc/passwd contained in the setup package has a passwordless root account with valid shell
default /etc/passwd contained in the setup package has a passwordless root ac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 14:32 EST by Arnaud Abélard
Modified: 2014-03-16 22:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 14:41:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arnaud Abélard 2004-11-11 14:32:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
  The /etc/passwd file, installed by the setup package, contains the
following line:

root::0:0:root:/root:/bin/bash

  This is normally not a problem since during an installation from
anaconda setting a root password is required. But, in the case of a
manual installation on the purpose of creating a chroot environment,
it creates a very serious security hazard: the chroot's root account
is PASSWORDLESS!





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a chroot environment 
2. login the chrooted environment with a normal account
3. do a su -

    

Actual Results:  You have full root access without any password

Expected Results:  the default root account shouldn't be active,
passwordless, and with a valid shell

Additional info:
Comment 1 Bill Nottingham 2004-11-11 14:46:46 EST

*** This bug has been marked as a duplicate of 133762 ***
Comment 2 Matthew Miller 2004-11-12 09:17:40 EST
I'm all for resolving bugs as duplicates, but bug #133762 is hidden
from public (and even hidden from not-so-public) view. Could you
either unhide that one, or reconsider this one? This seems like a
pretty reasonable suggestion to me. Thanks!
Comment 3 Tom Diehl 2004-11-12 09:50:15 EST
+1 to comment 2
Comment 4 Barry K. Nathan 2004-11-12 11:39:04 EST
I'll also second comment #2. +1
Comment 5 Bill Nottingham 2004-11-12 14:41:04 EST
From that bug:

Changing the default password file makes upgrades a mess, as you have
to code in hacks to get changes propagated to users systems. And yes,
for this case, I don't see the change being important enough; this is
the way the system has been since at least RHL 4.x, to the best of my
knowledge.
Comment 6 Till Maas 2006-10-27 05:46:54 EDT
This has been fixed in fc6, it is
root:*:0:0:root:/root:/bin/bash now

Note You need to log in before you can comment on or make changes to this bug.